Is this wireless keyboard compatible with Mac OS X v10.4.10?

  • Asked by Hana C from San Francisco
  • Oct 21, 2009
Apple Wireless Keyboard

Apple Wireless Keyboard

Product No Longer Available

1 Answer from the Community

  • the minimum requirements say Mac OS X v10.5.8 or later so it probably wont work, no.

    • Answered by Joe S from Hartford
    • Nov 17, 2009